<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"
               "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
lang="en" xml:lang="en">
<head>
<title>jabber.el</title>
<meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1"/>
<meta name="generator" content="Org-mode"/>
<meta name="generated" content="2009/02/19 1:31:21 AM"/>
<meta name="author" content=""/>
<style type="text/css">
  html {
	font-family: Times, serif;
	font-size: 12pt;
  }
  .title { text-align: center; }
  .todo  { color: red; }
  .done { color: green; }
  .timestamp { color: grey }
  .timestamp-kwd { color: CadetBlue }
  .tag { background-color:lightblue; font-weight:normal }
  .target { background-color: lavender; }
  pre {
	border: 1pt solid #AEBDCC;
	background-color: #F3F5F7;
	padding: 5pt;
	font-family: courier, monospace;
  }
  table { border-collapse: collapse; }
  td, th {
	vertical-align: top;
	<!--border: 1pt solid #ADB9CC;-->
  }
</style>
</head><body>
<h1 class="title">jabber.el</h1>
<a href="http://sourceforge.net">
<img border="0" src="http://sourceforge.net/sflogo.php?group_id=88346&amp;type=2" width="125" height="37" alt="SourceForge.net Logo" style="position: absolute; top: 0em; right: 0em;"></a>

jabber.el is a Jabber client for Emacs.

<div id="table-of-contents">
<h2>Table of Contents</h2>
<ul>
<li><a href="#sec-1">What is Jabber?</a></li>
<li><a href="#sec-2">What is jabber.el?</a></li>
<li><a href="#sec-3">Downloading and installing</a>
<ul>
<li><a href="#sec-4">Prepackaged</a></li>
<li><a href="#sec-5">Dependencies</a></li>
<li><a href="#sec-6">Downloading</a></li>
<li><a href="#sec-7">Using</a></li>
</ul>
</li>
<li><a href="#sec-8">Reporting bugs</a></li>
<li><a href="#sec-9">Latest source</a>
<ul>
<li><a href="#sec-10">CVS</a></li>
<li><a href="#sec-11">GNU Arch</a></li>
<li><a href="#sec-12">git</a></li>
</ul>
</li>
<li><a href="#sec-13">List of releases</a></li>
</ul>
</div>

<p>
<a name="impatient">&nbsp;</a>
For the impatient:
</p>
<ul>
<li>
Latest release: <a href="http://sourceforge.net/project/showfiles.php?group_id=88346&package_id=92339&release_id=482983">0.7.1</a> (31-Jan-2007)
</li>
<li>
Latest pretest release: <a href="http://sourceforge.net/project/showfiles.php?group_id=88346&package_id=278300&release_id=662240">0.7.93</a> (19-Feb-2009)
</li>
<li>
Full <a href="#list-of-releases">list of releases</a>, including lists of features and changes

</li>
</ul>
<p>External resources:
</p>
<ul>
<li>
<a href="http://sourceforge.net/projects/emacs-jabber/">Sourceforge project page</a>, containing:
<ul>
<li>
trackers for
<a href="http://sourceforge.net/tracker/?atid=586350&group_id=88346&func=browse">bugs</a>,
<a href="http://sourceforge.net/tracker/?atid=586353&group_id=88346&func=browse">feature requests</a>,
<a href="http://sourceforge.net/tracker/?atid=586352&group_id=88346&func=browse">patches</a> and
<a href="http://sourceforge.net/tracker/?atid=586351&group_id=88346&func=browse">support requests</a>, open for anonymous posters
</li>
<li>
<a href="http://sourceforge.net/forum/?group_id=88346">forums</a>, open for anonymous posters
</li>
</ul></li>
<li>
<a href="http://www.emacswiki.org/cgi-bin/wiki/JabberEl">the JabberEl page of EmacsWiki</a>
</li>
<li>
Mailing lists (also available at <a href="http://gmane.net">Gmane</a>):
<ul>
<li>
<a href="http://lists.sourceforge.net/lists/listinfo/emacs-jabber-general">emacs-jabber-general</a>, for posts by humans (also <a href="http://dir.gmane.org/gmane.emacs.jabber.general">gmane.emacs.jabber.general</a>)
</li>
<li>
<a href="http://lists.sourceforge.net/lists/listinfo/emacs-jabber-commit">emacs-jabber-commit</a>, read-only mailing list of CVS commits (also <a href="http://dir.gmane.org/gmane.emacs.jabber.scm">gmane.emacs.jabber.scm</a>)
</li>
<li>
<a href="http://lists.sourceforge.net/lists/listinfo/emacs-jabber-bugs">emacs-jabber-bugs</a>, read-only mailing list of bug tracker activity (also <a href="http://dir.gmane.org/gmane.emacs.jabber.bugs">gmane.emacs.jabber.bugs</a>)
</li>
</ul></li>
<li>
the Jabber chat room
<a href="xmpp:jabber.el@conference.jabber.se?join">jabber.el@conference.jabber.se</a>
</li>
<li>
the <a href="manual-0.7.1/">manual for jabber.el 0.7.1</a> (also included in the release files)

</li>
</ul>
<div class="outline-2">
<h2 id="sec-1">What is Jabber?</h2>


<p>
Jabber is an open instant messaging (IM) system, also known as XMPP.
It is described in <a href="http://www.xmpp.org/rfcs/">RFCs 3920-3923</a> and a series of <a href="http://www.xmpp.org/extensions/">XEPs</a> (XMPP Extension
Proposals).  That is, unlike legacy IM systems (such as ICQ or MSN
Messenger), the protocol is published in the open, free for anyone to
implement.  Therefore you shouldn't be surprised that there is a
Jabber client for Emacs, too.  (If you are not of the Emacs
persuasion, see this <a href="http://www.jabber.org/software/clients.shtml">list of Jabber clients</a>.)
</p>
<p>
Jabber is, like e-mail, a decentralised system.  A Jabber identifier
(JID) is of the form <code>username@server</code>, just like an e-mail address, and
every Jabber user whose server is open to Internet connections can
communicate with any other user.  This is in stark contrast to the
legacy "walled-garden" IM systems, where you need a separate account
for each system to be able to communicate with its users.  Note that
the <a href="http://talk.google.com">Google Talk</a> service is an XMPP service, so if you have a GMail
account, you already have a JID ending with <code>@gmail.com</code>.
</p>
<p>
In Jabber, you have a "roster", a list of contacts.  You can see
which of them are online at the moment, and chat with them.  (You can
also send messages to an offline contact, and the message will be
stored on the server for later delivery.)  Jabber also supports
IRC-style chat rooms.
</p>
</div>

<div class="outline-2">
<h2 id="sec-2">What is jabber.el?</h2>


<p>
jabber.el is a Jabber client for Emacs.  It may seem strange to have a
chat client in an editor, but consider that chatting is, after all,
just a special case of text editing.
</p>
</div>

<div class="outline-2">
<h2 id="sec-3">Downloading and installing</h2>



<div class="outline-3">
<h3 id="sec-4">Prepackaged</h3>


<p>
Note that jabber.el is available as <a href="http://packages.debian.org/emacs-jabber">emacs-jabber in Debian</a>, and in
<a href="http://packages.ubuntu.com/emacs-jabber">Ubuntu's "universe" section</a>.
</p>
</div>

<div class="outline-3">
<h3 id="sec-5">Dependencies</h3>


<p>
jabber.el requires either GNU Emacs 22, or GNU Emacs 21 combined with
Gnus 5.10.  You should get these from your distribution, or from the
<a href="http://www.gnu.org/software/emacs/">Emacs</a> and <a href="http://gnus.org">Gnus</a> web sites.
</p>
<p>
However, if you want to connect to servers that use SRV records
(e.g. Google Talk), it is recommended to use either No Gnus or Gnus
5.13.
</p>
<p>
If you want encrypted connections (some servers, e.g. Google Talk,
require it), you need <a href="http://www.gnu.org/software/gnutls/">GnuTLS</a> installed.
</p>
</div>

<div class="outline-3">
<h3 id="sec-6">Downloading</h3>


<p>
Download the <a href="#impatient">latest release</a> and unpack it in a suitable location.  Add
something like the following to your <code>.emacs</code> file:
</p>
<p>
<pre>
 ;; adjust this path:
 (add-to-list 'load-path "/path/to/emacs-jabber")
 ;; For 0.7.1 and below:
 (require 'jabber)
 ;; For 0.7.90 and above:
 (require 'jabber-autoloads)
</pre>
</p>
<p>
Either evaluate those lines, or restart Emacs.
</p>
</div>

<div class="outline-3">
<h3 id="sec-7">Using</h3>


<p>
See the <a href="manual-0.7.1/Basic-operation.html">Basic Operation</a> in the manual.
</p>


</div>
</div>

<div class="outline-2">
<h2 id="sec-8">Reporting bugs</h2>


<p>
Bug reports can be sent either to the mailing list
<a href="http://lists.sourceforge.net/lists/listinfo/emacs-jabber-general">emacs-jabber-general</a> or to the <a href="http://sourceforge.net/tracker/?group_id=88346&atid=586350">bug tracker</a>.
</p>

</div>

<div class="outline-2">
<h2 id="sec-9">Latest source</h2>


<p>
jabber.el releases are, unfortunately, less frequent than they would
be in an ideal world.  You can get the latest development version
using various version control systems.
</p>

<div class="outline-3">
<h3 id="sec-10">CVS</h3>


<p>
See <a href="http://sourceforge.net/cvs/?group_id=88346">the Sourceforge CVS page</a>.  In short, run the following command:
</p>
<p>
<pre>
 cvs -z3 -d:pserver:anonymous@emacs-jabber.cvs.sourceforge.net:/cvsroot/emacs-jabber co -P emacs-jabber
</pre>
</p>
</div>

<div class="outline-3">
<h3 id="sec-11">GNU Arch</h3>


<p>
The GNU Arch mirror is no longer being updated.
</p>
</div>

<div class="outline-3">
<h3 id="sec-12">git</h3>


<p>
<pre>
 git-clone git://git.catap.ru/emacs-jabber.git
</pre>
</p>

</div>
</div>

<div class="outline-2">
<h2 id="sec-13">List of releases</h2>


<p>
The list of releases has been moved to a <a href="list-of-releases.html">separate page</a>.
</p>
</div>
<div id="postamble"><p class="date"> Date: 2009/02/19 1:31:21 AM</p>
</div></body>
</html>
